<?php
return [
    'app_name' => PROJECT_NAME,
    'app_path' => PROJECT_PATH,
    // redis
    'queue'  => [
        'class'    => 'Jobs\Model\Queue\MRedisTopicQueue',
        'host'     => '127.0.0.1',
        'port'     => '6379',
        'password' => '',
        'database' =>'' ,
        ],
    'swooleServer'=>[
        'order'=>[
            "host"=>"127.0.0.1",
            "port"=>"9501",
            "ssl"=>false,
            'ssl_cert_file' => '/www/server/panel/vhost/cert/apiqnys.liuniukj.com/fullchain.pem',
            'ssl_key_file' => '/www/server/panel/vhost/cert/apiqnys.liuniukj.com/privkey.pem',
        ],
    ],
    'db' => [
        'default' => [
            'driver' => 'mysql',
            'host' => '127.0.0.1',
            'port' => '3306',
//            'username' => 'root',
            'username' => 'rootdefault',
            'password' => '0d6047adbbae53c7',
            'dbname' => 'qnys_devanfei',
            'prefix' => 'qianniao',
            'pconnect' => 0,
            'charset' => 'utf8',
        ],
        'stock' => [
            'driver' => 'mysql',
            'host' => '127.0.0.1',
            'port' => '3306',
//            'username' => 'root',
            'username' => 'rootstock',
            'password' => '0d6047adbbae53c7',
            'dbname' => 'qnys_devstock',
            'prefix' => 'qianniao',
            'pconnect' => 0,
            'charset' => 'utf8',
        ],
        'price'   => [
            'driver'   => 'mysql',
            'host'     => '127.0.0.1',
            'port'     => '3306',
//             'username' => 'root',
            'username' => 'rootprice',
            'password' => '0d6047adbbae53c7',
            'dbname'   => 'qnys_devprice',
            'prefix'   => 'qianniao',
            'pconnect' => 0,
            'charset'  => 'utf8',
        ],
        'log' => [
            'driver' => 'mysql',
            'host' => '127.0.0.1',
            'port' => '3306',
//             'username' => 'root',
            'username' => 'rootlog',
            'password' => '0d6047adbbae53c7',
            'dbname' => 'qnys_devlog',
            'prefix' => 'qianniao',
            'pconnect' => 0,
            'charset' => 'utf8',
        ],
        'finance' => [
            'driver' => 'mysql',
            'host' => '127.0.0.1',
            'port' => '3306',
//            'username' => 'root',
            'username' => 'rootfinance',
            'password' => '0d6047adbbae53c7',
            'dbname' => 'qnys_devfinan',
            'prefix' => 'qianniao',
            'pconnect' => 0,
            'charset' => 'utf8',
        ],
    ],

    'cache' => [
        'default' => [
            'storage' => 'redis',
            'host' => '127.0.0.1',
            'port' => '6379',
            'auth' => '',
            'prefix' => 'new_',
            'database' => '0',
        ],
        'mapping' => [
            'storage' => 'redis',
            'host' => '127.0.0.1',
            'port' => '6379',
            'auth' => '',
            'prefix' => 'new_',
            'database' => '1',//用于缓存地区
        ],
        'user' => [
            'storage' => 'redis',
            'host' => '127.0.0.1',
            'port' => '6379',
            'auth' => '',
            'prefix' => 'new_',
            'database' => '2',
        ],
        'finance'    => [
            'storage'  => 'redis',
            'host'     => '127.0.0.1',
            'port'     => '6379',
            'auth'     => '',
            'prefix'   => 'new_',
            'database' => '3',
        ],
        'activity'  => [
            'storage'  => 'redis',
            'host'     => '127.0.0.1',
            'port'     => '6379',
            'auth'     => '',
            'prefix'   => 'new_',
            'database' => '5',
        ],//活动
        
        'systask'=>[
            'storage'  => 'redis',
            'host'     => '127.0.0.1',
            'port'     => '6379',
            'auth'     => '',
            'prefix'   => 'task_',
            'database' => '6',
        ],
    ],

    'dataResources' => [
        'stock' => [
//            'host' => '127.0.0.1',
            'host' => '0.0.0.0',
            'port' => '9501'
        ]
    ],

    //搜索引擎配置 影子测试:49.233.71.60:9200改为127.0.0.1:443测试【暂时没用】
    'search' => [
        'goods_search' =>[
            'protocol' => 'http',
            'servers' => [
                '127.0.0.1:443'
            ],
            'timeout' => null,
            'index' => 'dev_goods_search',
            'type' => 'goods',
        ],
        'customer_search' =>[
            'protocol' => 'http',
            'servers' => [
                '127.0.0.1:443'
            ],
            'timeout' => null,
            'index' => 'dev_customer_search',
            'type' => 'customer',
        ],
        'goods_basic_search' =>[
            'protocol' => 'http',
            'servers' => [
                '127.0.0.1:443'
            ],
            'timeout' => null,
            'index' => 'dev_goods_basic_search',
            'type' => 'goodsBasic',
        ],
        'order_search' =>[
            'protocol' => 'http',
            'servers' => [
                '127.0.0.1:443'
            ],
            'timeout' => null,
            'index' => 'dev_order_search',
            'type' => 'order',
        ],
        'shop_search' =>[
            'protocol' => 'http',
            'servers' => [
                '127.0.0.1:443'
            ],
            'timeout' => null,
            'index' => 'dev_shop_search',
            'type' => 'shop',
        ],
        'login_log' =>[
            'protocol' => 'http',
            'servers' => [
                '127.0.0.1:443'
            ],
            'timeout' => null,
            'index' => 'dev_login_log',
            'type' => 'login',
        ],
        'logs'                                => [
            'protocol' => 'http',
            'servers'  => [
                '127.0.0.1:443'
            ],
            'timeout'  => null,
            'index'    => 'dev_logs',
            'type'     => 'logs',
        ],
        'inventory_in_search' => [
            'protocol' => 'http',
            'servers' => [
                '127.0.0.1:443'
            ],
            'timeout' => null,
            'index' => 'dev_inventory_in_search',
            'type' => 'inventory_in',
        ],
        'priceAdjustmentSheet_search' => [
            'protocol' => 'http',
            'servers'  => [
                '127.0.0.1:443'
            ],
            'timeout'  => null,
            'index'    => 'dev_price_adjustment_sheet_search',
            'type'     => 'priceAdjustmentSheet',
        ],
        'customerPriceAdjustmentSheet_search' => [
            'protocol' => 'http',
            'servers'  => [
                '127.0.0.1:443'
            ],
            'timeout'  => null,
            'index'    => 'dev_customer_price_adjustment_sheet_search',
            'type'     => 'customerPriceAdjustmentSheet',
        ],
        'inventory_out_search' => [
            'protocol' => 'http',
            'servers' => [
                '127.0.0.1:443'
            ],
            'timeout' => null,
            'index' => 'dev_inventory_out_search',
            'type' => 'inventory_out',
        ],
        'allocate_search' => [
            'protocol' => 'http',
            'servers' => [
                '127.0.0.1:443'
            ],
            'timeout' => null,
            'index' => 'dev_allocate_search',
            'type' => 'allocate',
        ],
        'stocktaking_search' => [
            'protocol' => 'http',
            'servers' => [
                '127.0.0.1:443'
            ],
            'timeout' => null,
            'index' => 'dev_stocktaking_search',
            'type' => 'stocktaking',
        ],
        'inventory_details_search' => [
            'protocol' => 'http',
            'servers' => [
                '127.0.0.1:443'
            ],
            'timeout' => null,
            'index' => 'dev_inventory_details_search',
            'type' => 'inventory_details',
        ],
        'order_out_search' => [
            'protocol' => 'http',
            'servers' => [
                '127.0.0.1:443'
            ],
            'timeout' => null,
            'index' => 'dev_order_out_search',
            'type' => 'order_out',
        ],
        'purchase_details_search' => [
            'protocol' => 'http',
            'servers' => [
                '127.0.0.1:443'
            ],
            'timeout' => null,
            'index' => 'dev_purchase_details_search',
            'type' => 'purchase_details',
        ],
        'coupon_search' => [
            'protocol' => 'http',
            'servers'  => [
                '127.0.0.1:443'
            ],
            'timeout'  => null,
            'index'    => 'dev_coupon_search',
            'type'     => 'coupon',
        ],
        'user_coupon_search' => [
            'protocol' => 'http',
            'servers'  => [
                '127.0.0.1:443'
            ],
            'timeout'  => null,
            'index'    => 'dev_user_coupon_search',
            'type'     => 'user_coupon',
        ],
        'activity_search' => [
            'protocol' => 'http',
            'servers'  => [
                '127.0.0.1:443'
            ],
            'timeout'  => null,
            'index'    => 'dev_activity_search',
            'type'     => 'activity',
        ],
        'should_receive_receipt_search'                  => [
            'protocol' => 'http',
            'servers'  => [
                '127.0.0.1:443'
            ],
            'timeout'  => null,
            'index'    => 'dev_should_receive_receipt_search',
            'type'     => 'should_receive_receipt',
        ],
        'should_pay_receipt_search'                  => [
            'protocol' => 'http',
            'servers'  => [
                '127.0.0.1:443'
            ],
            'timeout'  => null,
            'index'    => 'dev_should_pay_receipt_search',
            'type'     => 'should_pay_receipt',
        ],
        'received_receipt_search'                  => [
            'protocol' => 'http',
            'servers'  => [
                '127.0.0.1:443'
            ],
            'timeout'  => null,
            'index'    => 'dev_received_receipt_search',
            'type'     => 'received_receipt',
        ],
        'paid_receipt_search'                  => [
            'protocol' => 'http',
            'servers'  => [
                '127.0.0.1:443'
            ],
            'timeout'  => null,
            'index'    => 'dev_paid_receipt_search',
            'type'     => 'paid_receipt',
        ],
        'inventory_batch_search'                  => [
            'protocol' => 'http',
            'servers'  => [
                '127.0.0.1:443'
            ],
            'timeout'  => null,
            'index'    => 'dev_inventory_batch_search',
            'type'     => 'inventory_batch',
        ],

    ],

    'weixin' => [
        'app'         => [
            'appid' => '',
        ],
        'miniprogram' => [
            'appid'     => '',
            'appSecret' => '',
        ],
        'offiaccount' => [
            'appid'     => '',
            'appSecret' => '',
        ],
        'oplatform'   => [ // 开放平台
            'appid'          => '',
            'appSecret'      => '',
            'token'          => '',
            'encodingAesKey' => '',
        ],
        'pay'         => [
            'mch_id'        => '',
            'apiPartnerKey' => ''
        ],
         'service_pay' => [
            'mch_id' => '', 
            'apiPartnerKey' => ''
        ] 
    ],

    'sms' => [
        'registerCodeKey' => '',
        'SmsSdkAppid' => '',
    ],

    'outsideSystem' => [
        'wms' => '',
        'oms' => ''
    ],
    'keruyun' => [
        'appKey' => '',
        'shopIdenty' => '',
        'version' => '1.0',
        'secretKey' => '',
    ],
    'kuaidi100'     => [
        'customer' => '',
        'key'      => ''
    ],
    'qiniu' => [
        'accessKey' => 'BLlI0KPOS-oW4XApVaP72x-LOiKbqyC6qhRoEp3p',
        'secretKey' => 'juhP3Z2-4ikUS2OifOsv9B9IHnLS24s_TGsg-vPD'
    ]
];
